Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.dvcs
Interface DVCSObjectIdentifiers

public interface DVCSObjectIdentifiers

OIDs for RFC 3029 Data Validation and Certification Server Protocols

Field Summary
`static ASN1ObjectIdentifier` | `id_aa_dvcs_dvc` SMIME DataValidation certificate attribute id-aa-dvcs-dvc; OID: 1.2.840.113549.1.9.16.2,29
`static ASN1ObjectIdentifier` | `id_ad_dvcs` Authority Information Access for DVCS; id-ad-dcvs; OID: 1.3.6.1.5.5.7.48.4
`static ASN1ObjectIdentifier` | `id_ct_DVCSRequestData` SMIME eContentType id-ct-DVCSRequestData; OID: 1.2.840.113549.1.9.16.1.7
`static ASN1ObjectIdentifier` | `id_ct_DVCSResponseData` SMIME eContentType id-ct-DVCSResponseData; OID: 1.2.840.113549.1.9.16.1.8
`static ASN1ObjectIdentifier` | `id_kp_dvcs` Key Purpose for DVCS; id-kp-dvcs; OID: 1.3.6.1.5.5.7.3.10
`static ASN1ObjectIdentifier` | `id_pkix` Base OID id-pkix: 1.3.6.1.5.5.7
`static ASN1ObjectIdentifier` | `id_smime` Base OID id-smime: 1.2.840.113549.1.9.16

Field Detail

### id_pkix

    public static final ASN1ObjectIdentifier id_pkix

  Base OID id-pkix: 1.3.6.1.5.5.7

### id_smime

    public static final ASN1ObjectIdentifier id_smime

  Base OID id-smime: 1.2.840.113549.1.9.16

### id_ad_dvcs

    public static final ASN1ObjectIdentifier id_ad_dvcs

  Authority Information Access for DVCS; id-ad-dcvs; OID: 1.3.6.1.5.5.7.48.4

### id_kp_dvcs

    public static final ASN1ObjectIdentifier id_kp_dvcs

  Key Purpose for DVCS; id-kp-dvcs; OID: 1.3.6.1.5.5.7.3.10

### id_ct_DVCSRequestData

    public static final ASN1ObjectIdentifier id_ct_DVCSRequestData

  SMIME eContentType id-ct-DVCSRequestData; OID: 1.2.840.113549.1.9.16.1.7

### id_ct_DVCSResponseData

    public static final ASN1ObjectIdentifier id_ct_DVCSResponseData

  SMIME eContentType id-ct-DVCSResponseData; OID: 1.2.840.113549.1.9.16.1.8

### id_aa_dvcs_dvc

    public static final ASN1ObjectIdentifier id_aa_dvcs_dvc

  SMIME DataValidation certificate attribute id-aa-dvcs-dvc; OID: 1.2.840.113549.1.9.16.2,29

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD